Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Interface LexicalUnits

    public interface LexicalUnits

This interface defines the constants that represent CSS lexical units.

Field Summary
`static int` | `ANY` Represents the '*' lexical unit.
`static int` | `AT_KEYWORD` Represents the '@ident' lexical unit.
`static int` | `CDC` Represents the '-->' lexical unit.
`static int` | `CDO` Represents the '<!--' lexical unit.
`static int` | `CHARSET_SYMBOL` Represents the '@charset' lexical unit.
`static int` | `CM` Represents a cm lexical unit.
`static int` | `COLON` Represents the ':' lexical unit.
`static int` | `COMMA` Represents the ',' lexical unit.
`static int` | `COMMENT` Represents the comment lexical unit.
`static int` | `DASHMATCH` Represents the '|=' lexical unit.
`static int` | `DEG` Represents a deg lexical unit.
`static int` | `DIMENSION` Represents a dimension lexical unit.
`static int` | `DIVIDE` Represents the '/' lexical unit.
`static int` | `DOT` Represents the '.' lexical unit.
`static int` | `EM` Represents a em lexical unit.
`static int` | `EOF` Represents the EOF lexical unit.
`static int` | `EQUAL` Represents the '=' lexical unit.
`static int` | `EX` Represents a ex lexical unit.
`static int` | `FONT_FACE_SYMBOL` Represents the '@font-face' lexical unit.
`static int` | `FUNCTION` Represents a 'ident(' lexical unit.
`static int` | `GRAD` Represents a grad lexical unit.
`static int` | `HASH` Represents the '#name' lexical unit.
`static int` | `HZ` Represents a hz lexical unit.
`static int` | `IDENTIFIER` Represents the identifier lexical unit.
`static int` | `IMPORT_SYMBOL` Represents the '@import' lexical unit.
`static int` | `IMPORTANT_SYMBOL` Represents the '!important' lexical unit.
`static int` | `IN` Represents a in lexical unit.
`static int` | `INCLUDES` Represents the '~=' lexical unit.
`static int` | `INTEGER` Represents an integer.
`static int` | `KHZ` Represents a khz lexical unit.
`static int` | `LEFT_BRACE` Represents the '(' lexical unit.
`static int` | `LEFT_BRACKET` Represents the '[' lexical unit.
`static int` | `LEFT_CURLY_BRACE` Represents the '{' lexical unit.
`static int` | `MEDIA_SYMBOL` Represents the '@media' lexical unit.
`static int` | `MINUS` Represents the '-' lexical unit.
`static int` | `MM` Represents a mm lexical unit.
`static int` | `MS` Represents a ms lexical unit.
`static int` | `PAGE_SYMBOL` Represents the '@page' lexical unit.
`static int` | `PC` Represents a pc lexical unit.
`static int` | `PERCENTAGE` Represents a % lexical unit.
`static int` | `PLUS` Represents the '+' lexical unit.
`static int` | `PRECEDE` Represents the '>' lexical unit.
`static int` | `PT` Represents a pt lexical unit.
`static int` | `PX` Represents a px lexical unit.
`static int` | `RAD` Represents a rad lexical unit.
`static int` | `REAL` represents a real number.
`static int` | `RIGHT_BRACE` Represents the ')' lexical unit.
`static int` | `RIGHT_BRACKET` Represents the ']' lexical unit.
`static int` | `RIGHT_CURLY_BRACE` Represents the '}' lexical unit.
`static int` | `S` Represents a s lexical unit.
`static int` | `SEMI_COLON` Represents the ';' lexical unit.
`static int` | `SPACE` Represents the white space lexical unit.
`static int` | `STRING` Represents the string lexical unit.
`static int` | `UNICODE_RANGE` Represents a unicode range lexical unit.
`static int` | `URI` Represents a 'url(URI)' lexical unit.

Field Detail

### EOF

    static final int EOF

  Represents the EOF lexical unit.

  See Also:
    Constant Field Values

### LEFT_CURLY_BRACE

    static final int LEFT_CURLY_BRACE

  Represents the '{' lexical unit.

  See Also:
    Constant Field Values

### RIGHT_CURLY_BRACE

    static final int RIGHT_CURLY_BRACE

  Represents the '}' lexical unit.

  See Also:
    Constant Field Values

### EQUAL

    static final int EQUAL

  Represents the '=' lexical unit.

  See Also:
    Constant Field Values

### PLUS

    static final int PLUS

  Represents the '+' lexical unit.

  See Also:
    Constant Field Values

### MINUS

    static final int MINUS

  Represents the '-' lexical unit.

  See Also:
    Constant Field Values

### COMMA

    static final int COMMA

  Represents the ',' lexical unit.

  See Also:
    Constant Field Values

### DOT

    static final int DOT

  Represents the '.' lexical unit.

  See Also:
    Constant Field Values

### SEMI_COLON

    static final int SEMI_COLON

  Represents the ';' lexical unit.

  See Also:
    Constant Field Values

### PRECEDE

    static final int PRECEDE

  Represents the '>' lexical unit.

  See Also:
    Constant Field Values

### DIVIDE

    static final int DIVIDE

  Represents the '/' lexical unit.

  See Also:
    Constant Field Values

### LEFT_BRACKET

    static final int LEFT_BRACKET

  Represents the '[' lexical unit.

  See Also:
    Constant Field Values

### RIGHT_BRACKET

    static final int RIGHT_BRACKET

  Represents the ']' lexical unit.

  See Also:
    Constant Field Values

### ANY

    static final int ANY

  Represents the '*' lexical unit.

  See Also:
    Constant Field Values

### LEFT_BRACE

    static final int LEFT_BRACE

  Represents the '(' lexical unit.

  See Also:
    Constant Field Values

### RIGHT_BRACE

    static final int RIGHT_BRACE

  Represents the ')' lexical unit.

  See Also:
    Constant Field Values

### COLON

    static final int COLON

  Represents the ':' lexical unit.

  See Also:
    Constant Field Values

### SPACE

    static final int SPACE

  Represents the white space lexical unit.

  See Also:
    Constant Field Values

### COMMENT

    static final int COMMENT

  Represents the comment lexical unit.

  See Also:
    Constant Field Values

### STRING

    static final int STRING

  Represents the string lexical unit.

  See Also:
    Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

  Represents the identifier lexical unit.

  See Also:
    Constant Field Values

### CDO

    static final int CDO

  Represents the '<!--' lexical unit.

  See Also:
    Constant Field Values

### CDC

    static final int CDC

  Represents the '-->' lexical unit.

  See Also:
    Constant Field Values

### IMPORTANT_SYMBOL

    static final int IMPORTANT_SYMBOL

  Represents the '!important' lexical unit.

  See Also:
    Constant Field Values

### INTEGER

    static final int INTEGER

  Represents an integer.

  See Also:
    Constant Field Values

### DASHMATCH

    static final int DASHMATCH

  Represents the '|=' lexical unit.

  See Also:
    Constant Field Values

### INCLUDES

    static final int INCLUDES

  Represents the '~=' lexical unit.

  See Also:
    Constant Field Values

### HASH

    static final int HASH

  Represents the '#name' lexical unit.

  See Also:
    Constant Field Values

### IMPORT_SYMBOL

    static final int IMPORT_SYMBOL

  Represents the '@import' lexical unit.

  See Also:
    Constant Field Values

### AT_KEYWORD

    static final int AT_KEYWORD

  Represents the '@ident' lexical unit.

  See Also:
    Constant Field Values

### CHARSET_SYMBOL

    static final int CHARSET_SYMBOL

  Represents the '@charset' lexical unit.

  See Also:
    Constant Field Values

### FONT_FACE_SYMBOL

    static final int FONT_FACE_SYMBOL

  Represents the '@font-face' lexical unit.

  See Also:
    Constant Field Values

### MEDIA_SYMBOL

    static final int MEDIA_SYMBOL

  Represents the '@media' lexical unit.

  See Also:
    Constant Field Values

### PAGE_SYMBOL

    static final int PAGE_SYMBOL

  Represents the '@page' lexical unit.

  See Also:
    Constant Field Values

### DIMENSION

    static final int DIMENSION

  Represents a dimension lexical unit.

  See Also:
    Constant Field Values

### EX

    static final int EX

  Represents a ex lexical unit.

  See Also:
    Constant Field Values

### EM

    static final int EM

  Represents a em lexical unit.

  See Also:
    Constant Field Values

### CM

    static final int CM

  Represents a cm lexical unit.

  See Also:
    Constant Field Values

### MM

    static final int MM

  Represents a mm lexical unit.

  See Also:
    Constant Field Values

### IN

    static final int IN

  Represents a in lexical unit.

  See Also:
    Constant Field Values

### MS

    static final int MS

  Represents a ms lexical unit.

  See Also:
    Constant Field Values

### HZ

    static final int HZ

  Represents a hz lexical unit.

  See Also:
    Constant Field Values

### PERCENTAGE

    static final int PERCENTAGE

  Represents a % lexical unit.

  See Also:
    Constant Field Values

### S

    static final int S

  Represents a s lexical unit.

  See Also:
    Constant Field Values

### PC

    static final int PC

  Represents a pc lexical unit.

  See Also:
    Constant Field Values

### PT

    static final int PT

  Represents a pt lexical unit.

  See Also:
    Constant Field Values

### PX

    static final int PX

  Represents a px lexical unit.

  See Also:
    Constant Field Values

### DEG

    static final int DEG

  Represents a deg lexical unit.

  See Also:
    Constant Field Values

### RAD

    static final int RAD

  Represents a rad lexical unit.

  See Also:
    Constant Field Values

### GRAD

    static final int GRAD

  Represents a grad lexical unit.

  See Also:
    Constant Field Values

### KHZ

    static final int KHZ

  Represents a khz lexical unit.

  See Also:
    Constant Field Values

### URI

    static final int URI

  Represents a 'url(URI)' lexical unit.

  See Also:
    Constant Field Values

### FUNCTION

    static final int FUNCTION

  Represents a 'ident(' lexical unit.

  See Also:
    Constant Field Values

### UNICODE_RANGE

    static final int UNICODE_RANGE

  Represents a unicode range lexical unit.

  See Also:
    Constant Field Values

### REAL

    static final int REAL

  represents a real number.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.